--AH:ScriptId=6a93aa81-c069-402a-ae74-ed430cf8861e;205
ALTER TABLE [DatabaseChangeScriptExecutions] 
 DROP CONSTRAINT [DF__DatabaseChangeScriptExecutions],
      CONSTRAINT [PK__DatabaseChangeScriptExecutions],
      CONSTRAINT [FK__DatabaseChangeScriptExecutions__DatabaseChangeScripts]
EXEC sp_rename 'DatabaseChangeScriptExecutions','DatabaseChangeScriptExecutions_2'

CREATE TABLE [DatabaseChangeScriptExecutions](
	[ScriptExecution_Id] INT IDENTITY(1,1) NOT NULL
		CONSTRAINT [PK__DatabaseChangeScriptExecutions] PRIMARY KEY ([ScriptExecution_Id]),
	[Script_Id] INT NOT NULL
		CONSTRAINT [FK__DatabaseChangeScriptExecutions__DatabaseChangeScripts] FOREIGN KEY([Script_Id])
		REFERENCES [DatabaseChangeScripts] ([Script_Id]),
	[ExecutedOn_Date] DATETIME NOT NULL,
	[ExecutedBy_User_Name] USERNAME NOT NULL,
	[Success_Indicator] YNINDICATOR NOT NULL,
	[Log_Text] VARCHAR(MAX) NULL,

	[Execution_Id] INT NULL
		CONSTRAINT [FK__DatabaseChangeScriptExecutions__BuildExecutions] FOREIGN KEY([Execution_Id])
		REFERENCES [BuildExecutions] ([Execution_Id]),

	[Provider_Id] INT NULL
		CONSTRAINT [FK__DatabaseChangeScriptExecutions__DatabaseChangeScriptProviders] FOREIGN KEY([Provider_Id])
		REFERENCES [DatabaseChangeScriptProviders] ([Provider_Id]),
)

SET IDENTITY_INSERT [DatabaseChangeScriptExecutions] ON
INSERT INTO [DatabaseChangeScriptExecutions]
           ([ScriptExecution_Id]
           ,[Script_Id]
           ,[ExecutedOn_Date]
           ,[ExecutedBy_User_Name]
           ,[Success_Indicator]
           ,[Log_Text]
           ,[Execution_Id]
           ,[Provider_Id])
SELECT [ScriptExecution_Id]
           ,[Script_Id]
           ,[ExecutedOn_Date]
           ,COALESCE([ManuallyExecutedBy_User_Name],'SYSTEM')
           ,[Success_Indicator]
           ,NULL
           ,[Execution_Id]
           ,NULL
  FROM [DatabaseChangeScriptExecutions_2]
SET IDENTITY_INSERT [DatabaseChangeScriptExecutions] OFF
GO

DROP TABLE [DatabaseChangeScriptExecutions_2]