--AH:ScriptId=da293836-0d62-4692-bf46-3c2650c3d056;370
-- Rename build schedules that have identical names within the same application
UPDATE [BuildSchedules]
   SET [Schedule_Name] = [Schedule_Name] + CAST(
                          (SELECT [Rank]
                            FROM (SELECT [Schedule_Id], [Rank] = RANK() OVER(PARTITION BY [Application_Id] ORDER BY [Schedule_Id] ASC) 
                                    FROM [BuildSchedules]) BS_RANKED
                           WHERE BS1.[Schedule_Id] = BS_RANKED.[Schedule_Id])
                                        AS VARCHAR(2))
  FROM [BuildSchedules] BS1
 WHERE [Schedule_Name] IN  (SELECT [Schedule_Name] 
                            FROM [BuildSchedules] BS3 
                           WHERE BS1.[Schedule_Id] <> BS3.[Schedule_Id] AND BS3.[Application_Id] = BS1.[Application_Id])

-- Add unique constraint now that we know all schedule names in a given application are unique
ALTER TABLE [BuildSchedules] ADD CONSTRAINT UQ__BuildSchedules UNIQUE ([Application_Id], [Schedule_Name])