--AH:ScriptId=8a0e93cf-6e2e-48f6-9771-93baa1cf4ffe;603
ALTER TABLE [Workflows]
	DROP CONSTRAINT [DF__Workflows__CreatedOn_Date]

ALTER TABLE [Workflows]
	DROP CONSTRAINT [DF__Workflows__ModifiedOn_Date]
	
ALTER TABLE [BuildApprovals]
	DROP CONSTRAINT [DF__BuildApprovals__Received_Date]

ALTER TABLE [BuildPromotions]
	DROP CONSTRAINT [DF__BuildPromotions__Promoted_Date]

DECLARE @Utc_Offset INT
SET @Utc_Offset = DATEDIFF(mi, GETDATE(), GETUTCDATE())

DECLARE @BM4_Utc VARCHAR(100)
SET @BM4_Utc = CAST(@Utc_Offset AS VARCHAR) + ';' + CONVERT(VARCHAR, GETUTCDATE(), 126)
 
EXEC sp_addextendedproperty 'BM4_Utc', @BM4_Utc

UPDATE [ApplicationGroups]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [Applications]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [BuildApprovals]
   SET [Received_Date] = DATEADD(mi, @Utc_Offset, [Received_Date])

UPDATE [BuildArtifacts]
   SET [Created_Date] = DATEADD(mi, @Utc_Offset, [Created_Date])

UPDATE [BuildExecution_PlanActions]
   SET [ExecutionStarted_Date] = DATEADD(mi, @Utc_Offset, [ExecutionStarted_Date]),
       [ExecutionEnded_Date] = DATEADD(mi, @Utc_Offset, [ExecutionEnded_Date])

UPDATE [BuildExecutions]
   SET [ExecutionStart_Date] = DATEADD(mi, @Utc_Offset, [ExecutionStart_Date]),
       [CanceledOn_Date] = DATEADD(mi, @Utc_Offset, [CanceledOn_Date]),
	   [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
	   [ExecutionEnded_Date] = DATEADD(mi, @Utc_Offset, [ExecutionEnded_Date])

UPDATE [BuildPromotions]
   SET [Promoted_Date] = DATEADD(mi, @Utc_Offset, [Promoted_Date]),
       [StatusOverridden_Date] = DATEADD(mi, @Utc_Offset, [StatusOverridden_Date])

UPDATE [Builds]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date]),
	   [Rejected_Date] = DATEADD(mi, @Utc_Offset, [Rejected_Date])

UPDATE [BuildSchedules]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [BuildTestResults]
   SET [TestStarted_Date] = DATEADD(mi, @Utc_Offset, [TestStarted_Date]),
       [TestEnded_Date] = DATEADD(mi, @Utc_Offset, [TestEnded_Date])

UPDATE [ChangeControlPerformances]
   SET [Performed_Date] = DATEADD(mi, @Utc_Offset, [Performed_Date])

UPDATE [ChangeControls]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [ConfigurationFileDeployments]
   SET [DeployedOn_Date] = DATEADD(mi, @Utc_Offset, [DeployedOn_Date])

UPDATE [ConfigurationFiles]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [ConfigurationFileVersions]
   SET [File_Date] = DATEADD(mi, @Utc_Offset, [File_Date]),
       [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date])

UPDATE [DashboardGadgets]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [DatabaseChangeScriptExecutions]
   SET [ExecutedOn_Date] = DATEADD(mi, @Utc_Offset, [ExecutedOn_Date])

UPDATE [DatabaseChangeScripts]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [Deployables]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [Environments]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [EventOccurences]
   SET [Occurence_Date] = DATEADD(mi, @Utc_Offset, [Occurence_Date])

UPDATE [ExtensionConfigurations]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [LicenseKeys]
   SET [AddedOn_Date] = DATEADD(mi, @Utc_Offset, [AddedOn_Date]),
       [ActivatedOn_Date] = DATEADD(mi, @Utc_Offset, [ActivatedOn_Date])

UPDATE [LogMessages]
   SET [Logged_Date] = DATEADD(mi, @Utc_Offset, [Logged_Date])

UPDATE [PlanActionGroups]
   SET [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [Plans]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [PromotionApprovalRequirements]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [PromotionRequirements]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [Providers]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [ReleaseNotes]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [Releases]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
	   [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date]),
	   [CancelledOn_Date] = DATEADD(mi, @Utc_Offset, [CancelledOn_Date])

UPDATE [Servers]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [VariableDeclarations]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])

UPDATE [Workflows]
   SET [CreatedOn_Date] = DATEADD(mi, @Utc_Offset, [CreatedOn_Date]),
       [ModifiedOn_Date] = DATEADD(mi, @Utc_Offset, [ModifiedOn_Date])