--AH:ScriptId=8da85f96-0469-48f2-9c62-22ee3c741341;2907
DROP TABLE [Issues_BuildStatusChanges]
GO
DROP TABLE [Issues]
GO

CREATE TABLE [Issues]
(
	[Application_Id] INT NOT NULL,
	[Issue_Id] INT NOT NULL,
	[Release_Number] RELEASENUMBER NULL,

	[IssueTracker_IssueId_Text] NVARCHAR(100) NULL,
	[IssueTracker_IssueStatus_Text] NVARCHAR(100) NULL,
    [IssueTracker_IssueUrl_Text] NVARCHAR(255) NULL,
	[IssueTracker_LastSync_Date] DATETIME NULL,
	[IssueTracker_Original_Name] NVARCHAR(MAX) NULL,
	[IssueTracker_Overridden_Date] DATETIME NULL,

	[Title_Text] NVARCHAR(200) NOT NULL,
	[Description_Text] NVARCHAR(MAX) NULL,
	[Closed_Indicator] YNINDICATOR NOT NULL,
    [ClosedOn_Date] DATETIME NULL,
	[SyncDisabled_Indicator] YNINDICATOR NOT NULL,

    [OpenedOn_Original_Build_Number] BUILDNUMBER NULL,
    [ClosedOn_Original_Build_Number] BUILDNUMBER NULL,
    
	[CreatedBy_User_Name] USERNAME NOT NULL,
	[CreatedOn_Date] DATETIME NOT NULL,

	CONSTRAINT [PK__Issues]
		PRIMARY KEY ([Application_Id], [Issue_Id]),

	CONSTRAINT [FK__Issues__Applications]
		FOREIGN KEY ([Application_Id])
		REFERENCES [Applications] ([Application_Id]),

	CONSTRAINT [FK__Issues__Releases]
		FOREIGN KEY ([Application_Id], [Release_Number])
		REFERENCES [Releases] ([Application_Id], [Release_Number]),

	CONSTRAINT [CK__Issues__Issue_Id]
		CHECK ([Issue_Id] > 0)
)

ALTER TABLE [Applications]
  ADD [IssueTracking_AllowBuildMasterIssues_Indicator] YNINDICATOR NULL,
      [IssueTracking_AllowSyncedOverride_Indicator] YNINDICATOR NULL
GO

UPDATE [Applications]
   SET [IssueTracking_AllowBuildMasterIssues_Indicator] = 'Y',
       [IssueTracking_AllowSyncedOverride_Indicator] = 'N'
GO

ALTER TABLE [Applications]
  ALTER COLUMN [IssueTracking_AllowBuildMasterIssues_Indicator] YNINDICATOR NOT NULL

ALTER TABLE [Applications]
  ALTER COLUMN [IssueTracking_AllowSyncedOverride_Indicator] YNINDICATOR NOT NULL
GO