IF OBJECT_ID('[Applications_Extended]') IS NOT NULL DROP VIEW [Applications_Extended]
GO

CREATE VIEW [Applications_Extended]
AS
	SELECT A.[Application_Id],
		   A.[Application_Name],
		   A.[Application_Description],
		   A.[ReleaseNumber_Scheme_Name],
		   A.[BuildNumber_Scheme_Name],
		   A.[CreatedBy_User_Name],
		   A.[CreatedOn_Date],
		   A.[ModifiedBy_User_Name],
		   A.[ModifiedOn_Date],
		   A.[ApplicationGroup_Id],
		   A.[Raft_Name],
		   AG.[ApplicationGroup_Name],
		   AG.[ApplicationGroup_Description],
		   [Active_Releases_Count] = (SELECT COUNT(*) 
		                                FROM [Releases] 
		                               WHERE [Application_Id] = A.[Application_Id] 
		                                 AND [ReleaseStatus_Name] = 'Active'),
           [Issues_LastSynchronized_Date] = (SELECT MAX([IssueTracker_LastSync_Date]) 
                                               FROM [Issues] 
                                              WHERE [Application_Id] = A.[Application_Id]),
           [ShowDeployables_Indicator] = 'Y',
           A.[Active_Indicator],
		   A.[ApplicationConfiguration_Xml]

	  FROM [Applications] A
		   LEFT JOIN [ApplicationGroups] AG
				  ON A.[ApplicationGroup_Id] = AG.[ApplicationGroup_Id]