IF OBJECT_ID('[BuildTestResults_TestGroupResults]') IS NOT NULL DROP VIEW [BuildTestResults_TestGroupResults]
GO

CREATE VIEW [BuildTestResults_TestGroupResults] AS

SELECT B.[Application_Id],
	   R.[Release_Number],
	   [Release_Name] = COALESCE(R.[Release_Name], R.[Release_Number]),
	   B.[Build_Number],
	   B.[Build_Id],
	   B.[Release_Id],
	   TGR.*
  FROM (SELECT TR.[Execution_Id],
               TR.[Group_Name],
               COUNT(*) AS [Total_Tests], 
               COUNT(NULLIF(NULLIF(TR.[TestStatus_Code], 'F'), 'I')) AS [Passed_Tests],
               COUNT(NULLIF(NULLIF(TR.[TestStatus_Code], 'P'), 'I')) AS [Failed_Tests],
               COUNT(NULLIF(NULLIF(TR.[TestStatus_Code], 'P'), 'F')) AS [Inconclusive_Tests]
          FROM [BuildTestResults] TR GROUP BY TR.[Execution_Id], TR.[Group_Name]) TGR

	   INNER JOIN [PipelineStageTargetExecutions] PSTE
	           ON PSTE.[Execution_Id] = TGR.[Execution_Id]
	   INNER JOIN [BuildPromotions] BP
	           ON BP.[Promotion_Id] = PSTE.[Promotion_Id]
 	   INNER JOIN [Builds] B
	           ON B.[Build_Id] = BP.[Build_Id]
     LEFT JOIN [Releases] R
	           ON R.[Release_Id] = B.[Release_Id]