IF OBJECT_ID('[ConfigurationFileDeployments_Extended]') IS NOT NULL DROP VIEW [ConfigurationFileDeployments_Extended]
GO

CREATE VIEW [ConfigurationFileDeployments_Extended] AS

SELECT CFD.[ConfigurationFileDeployment_Id]
      ,CFD.[Execution_Id]
      ,CFD.[ConfigurationFile_Id]
	  ,CF.[ConfigurationFile_Name]
	  ,CF.[FilePath_Text]
      ,CFD.[Instance_Name]
      ,CFD.[Version_Number]
      ,CFD.[Server_Id]
      ,CFD.[DeployedTo_Path]
      ,CFD.[DeployedBy_User_Name]
      ,CFD.[DeployedOn_Date]

      ,CFI.[Environment_Id]
	  ,E.[Environment_Name]

      ,CF.[Deployable_Id]
      ,[ConfigurationFile_Active_Indicator] = CF.[Active_Indicator]

      ,D.[Deployable_Name]
      ,D.[Application_Id]

      ,S.[Server_Name]

      ,R.[Release_Id]
	  ,R.[Release_Number]
	  ,[Release_Name] = COALESCE(R.[Release_Number], R.[Release_Name])
	  ,B.[Build_Id]
	  ,B.[Build_Number]
	  ,BP.[Promotion_Id]
	  ,BP.[PipelineStage_Name]

 FROM [ConfigurationFileDeployments] CFD
      INNER JOIN [ConfigurationFileInstances] CFI
              ON CFI.[ConfigurationFile_Id] = CFD.[ConfigurationFile_Id]
             AND CFI.[Instance_Name] = CFD.[Instance_Name]
       LEFT JOIN [Environments] E
              ON E.[Environment_Id] = CFI.[Environment_Id]
      INNER JOIN [ConfigurationFiles] CF
              ON CF.[ConfigurationFile_Id] = CFD.[ConfigurationFile_Id]
      INNER JOIN [ConfigurationFileVersions] CFV
              ON CFV.[ConfigurationFile_Id] = CFD.[ConfigurationFile_Id]
             AND CFV.[Instance_Name] = CFD.[Instance_Name]
             AND CFV.[Version_Number] = CFD.[Version_Number]
       LEFT JOIN [Deployables] D
              ON D.[Deployable_Id] = CF.[Deployable_Id]
      INNER JOIN [Servers] S
              ON S.[Server_Id] = CFD.[Server_Id]
	   LEFT JOIN [PipelineStageTargetExecutions] BE
	          ON BE.[Execution_Id] = CFD.[Execution_Id]
	   LEFT JOIN [BuildPromotions] BP
	          ON BP.[Promotion_Id] = BE.[Promotion_Id]
	   LEFT JOIN [Builds] B
	          ON B.[Build_Id] = BP.[Build_Id]
	   LEFT JOIN [Releases] R
	          ON R.[Release_Id] = B.[Release_Id]

GO