IF OBJECT_ID('[RepositoryMonitors_Extended]') IS NOT NULL DROP VIEW [RepositoryMonitors_Extended]
GO

CREATE VIEW [RepositoryMonitors_Extended] AS
	SELECT RM.*,
	       A.[Application_Name],
		   AG.[ApplicationGroup_Name],
		   [ExecuteOn_Server_Name] = S.[Server_Name],
		   [Application_Active_Indicator] = A.[Active_Indicator]
	  FROM [RepositoryMonitors] RM
	       LEFT JOIN [Applications] A
		          ON A.[Application_Id] = RM.[Application_Id]
		   LEFT JOIN [ApplicationGroups] AG
		          ON AG.[ApplicationGroup_Id] = RM.[ApplicationGroup_Id]
		   LEFT JOIN [Servers] S
		          ON S.[Server_Id] = RM.[ExecuteOn_Server_Id]

GO