EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetExecutionAndRelated',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Executions_Related',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets an execution and other executions which are related to it.'
GO

IF OBJECT_ID('[Executions_GetExecutionAndRelated]') IS NOT NULL DROP PROCEDURE [Executions_GetExecutionAndRelated]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetExecutionAndRelated]
(
	@Execution_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	DECLARE @ExecutionMode_Code CHAR(1)
	DECLARE @PipelineExecution_Id INT

	SELECT @ExecutionMode_Code = E.[ExecutionMode_Code],
	       @PipelineExecution_Id = BE.[PipelineStageDeploymentExecution_Id]
	  FROM [Executions] E
	       LEFT JOIN [PipelineStageTargetExecutions] BE
		          ON [ExecutionMode_Code] = 'B'
				 AND BE.[Execution_Id] = E.[Execution_Id]
	 WHERE E.[Execution_Id] = @Execution_Id

	IF @ExecutionMode_Code = 'S'
		SELECT *
		  FROM [Executions_Related]
		 WHERE [Execution_Id] = @Execution_Id

		UNION ALL

		SELECT E.*
		  FROM [PipelineStageTargetExecutions] BE
		       INNER JOIN [Executions_Related] E
			           ON E.[Execution_Id] = BE.[Execution_Id]
		 WHERE BE.[PipelineStageDeploymentExecution_Id] = @Execution_Id
	ELSE IF @ExecutionMode_Code = 'B'
		SELECT *
		  FROM [Executions_Related]
		 WHERE [Execution_Id] = @PipelineExecution_Id

		UNION ALL

		SELECT E.*
		  FROM [PipelineStageTargetExecutions] BE
		       INNER JOIN [Executions_Related] E
			           ON E.[Execution_Id] = BE.[Execution_Id]
		 WHERE BE.[PipelineStageDeploymentExecution_Id] = @PipelineExecution_Id
	ELSE
		SELECT *
		  FROM [Executions_Related]
		 WHERE [Execution_Id] = @Execution_Id

END
GO

GRANT EXECUTE ON [Executions_GetExecutionAndRelated] TO [BuildMasterUser_Role]
