EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetPartialExecutionLog',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ScopedExecutionLogEntries',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the latest log entries for a specified execution.'
GO

IF OBJECT_ID('[Executions_GetPartialExecutionLog]') IS NOT NULL DROP PROCEDURE [Executions_GetPartialExecutionLog]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetPartialExecutionLog]
(
	@Execution_Id INT,
    @Minimum_LogEntry_Sequence INT,
    @IncludeDebug_Indicator YNINDICATOR,
	@Max_LogEntry_Count INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	IF @Max_LogEntry_Count IS NOT NULL
		SET ROWCOUNT @Max_LogEntry_Count

	SELECT *
	  FROM [ScopedExecutionLogEntries]
	 WHERE [Execution_Id] = @Execution_Id
	   AND ([LogEntry_Sequence] > @Minimum_LogEntry_Sequence)
	   AND (@IncludeDebug_Indicator = 'Y' OR [LogEntry_Level] > 0)
	 ORDER BY [LogEntry_Sequence] DESC -- note ordring by DESC to return most recent entries in event Max_LogEntry_Count is greater than total number of entries

END
GO

GRANT EXECUTE ON [Executions_GetPartialExecutionLog] TO [BuildMasterUser_Role]
