﻿EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Releases_ImportRelease',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Release_Id',
    /* Description_Text        */ 'Imports release information.'
GO

IF OBJECT_ID('[Releases_ImportRelease]') IS NOT NULL DROP PROCEDURE [Releases_ImportRelease]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Releases_ImportRelease]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER,
	@ReleaseStatus_Name VARCHAR(9),
	@Release_Name VARCHAR(50),
	@CreatedBy_User_Name USERNAME,
	@CreatedOn_Date DATETIME,
	@ModifiedBy_User_Name USERNAME,
	@ModifiedOn_Date DATETIME,
	@CancelledBy_User_Name USERNAME,
	@CancelledOn_Date DATETIME,
	@CancelledReason_Text VARCHAR(500),
	@Release_Sequence BIGINT,
	@Pipeline_Name VARCHAR(100),
	@Furthest_Build_Number BUILDNUMBER,
	@ReleaseTemplate_Name VARCHAR(50),
	@Release_Id INT = NULL OUT
) AS
BEGIN

BEGIN TRY
	BEGIN TRANSACTION

	INSERT INTO [Releases]
	(
		[Application_Id],
		[Release_Number],
		[ReleaseStatus_Name],
		[Release_Name],
		[CreatedBy_User_Name],
		[CreatedOn_Date],
		[ModifiedBy_User_Name],
		[ModifiedOn_Date],
		[CancelledBy_User_Name],
		[CancelledOn_Date],
		[CancelledReason_Text],
		[Release_Sequence],
		[Pipeline_Name],
		[Furthest_Build_Number],
		[ReleaseTemplate_Name]
	)
	VALUES
	(
		@Application_Id,
		@Release_Number,
		@ReleaseStatus_Name,
		@Release_Name,
		@CreatedBy_User_Name,
		@CreatedOn_Date,
		@ModifiedBy_User_Name,
		@ModifiedOn_Date,
		@CancelledBy_User_Name,
		@CancelledOn_Date,
		@CancelledReason_Text,
		@Release_Sequence,
		@Pipeline_Name,
		@Furthest_Build_Number,
		@ReleaseTemplate_Name
	)

	SET @Release_Id = SCOPE_IDENTITY()

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Releases_ImportRelease] TO [BuildMasterUser_Role]

